package com.boe.zxy.interfacePlat.controller;

import com.boe.zxy.interfacePlat.job.JobService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TODO
 * @Author li
 * @Date 2024/9/21 8:58
 */
@RestController
@RequestMapping("/test")
@EnableAutoConfiguration
public class testController {

    @Autowired
    private JobService JobService;

    /**
     * 物料寿命信息测试
     * @throws Exception
     */
    @RequestMapping(value = "/test", method = RequestMethod.GET)
    public void test() throws Exception {
        JobService.SendAgeInfpMail();
    }

    /**
     * 品质过期复判触发QMS
     * @throws Exception
     */
    @RequestMapping(value = "/test1", method = RequestMethod.GET)
    public void test1() throws Exception {
        JobService.SendQms();
    }

    /**
     * 胶水过期自动转仓
     * @throws Exception
     */
    @RequestMapping(value = "/test2", method = RequestMethod.GET)
    public void test2() throws Exception {
        JobService.SendQmToERP();
    }
}