package com.boe.zxy.interfacePlat.mapper.sdk;

import com.boe.zxy.interfacePlat.entity.BeanAgeInfo;
import com.boe.zxy.interfacePlat.entity.BeanEmail;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author 10539622
 * @version 1.0
 * @project interfacePlat
 * @description 邮件发送接口
 * @date 2023/8/31 15:44:59
 */
@Component
@Mapper
public interface MailSend {

    /**
     * @description TODO 获取发送定时的邮件
     * No such property: code for class: Script1
     * @return
     * @author 10539622
     * @date 2023/8/31 16:19
     */
    List<BeanEmail> getSendEmailType (String emailType);

    /**
     * @description TODO 获取收件人明细
     * No such property: code for class: Script1
     * @return
     * @author 10539622
     * @date 2023/8/31 16:20
     */
    List<BeanEmail> getSendEmailReceiver (String emailType);

    /**
     * @description TODO 获取分批出库待出库信息
     * No such property: code for class: Script1
     * @return
     * @author 10539622
     * @date 2023/9/4 9:54
     */
    List<BeanAgeInfo> getAgeInfo();


    void AutoHold ();
}
