package com.boe.zxy.interfacePlat.mapper.sdk;

import com.boe.zxy.interfacePlat.entity.BeanMateiralShip;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @author 10539622
 * @version 1.0
 * @project interfacePlat
 * @description 生产领料单自动同步接口
 * @date 2024/2/26 13:18:39
 */
@Component
@Mapper
public interface MateiralShip {

    /**
     * @description TODO 获取要自动过账的生产领料单集合
     * No such property: code for class: Script1
     * @return
     * @author 10539622
     * @date 2024/2/26 13:21
     */
    List<BeanMateiralShip> getListShip();

    /**
     * @description TODO 获取生产领料单信息
     * No such property: code for class: Script1
     * @return
     * @author 10539622
     * @date 2024/2/26 13:21
     */
    List<BeanMateiralShip> getShipInfo (String shipRequestName);

    /**
     * @description TODO 调用存储过程
     * No such property: code for class: Script1
     * @return
     * @author 10539622
     * @date 2024/2/26 13:22
     */
    List<BeanMateiralShip> callAuditCall(Map<String,Object> param);

    /**
     * @description TODO 发送消息失败更新WMS信息
     * No such property: code for class: Script1
     * @return
     * @author 10539622
     * @date 2024/2/28 9:56
     */
    void updateFailInfo (BeanMateiralShip b);

}
