package com.boe.zxy.interfacePlat.util.mail;

import javax.mail.*;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

/**
 * @author 10539622
 * @version 1.0
 * @project interfacePlat
 * @description 邮件测试类
 * @date 2023/8/31 15:21:28
 */
public class MailTest {
    public static void main(String[] args) throws MessagingException {
        //	创建Session会话
        Session session = JavaMailUntil.createSession();

//	创建邮件对象
        MimeMessage message = new MimeMessage(session);
        message.setSubject("主题");
        message.setText("文本信息");
        message.setFrom(new InternetAddress("lixinghui-b7@boe.com.cn"));
//        message.setRecipient(Message.RecipientType.TO, new InternetAddress("lixinghui-b7@boe.com.cn"));
//        message.setRecipient(Message.RecipientType.TO, new InternetAddress("wangsichen@boe.com.cn"));
        Address[] addresses = new Address[2];
        addresses[0] = new InternetAddress("lixinghui-b7@boe.com.cn");
        addresses[1] = new InternetAddress("lixinghui-b7@boe.com.cn");
        message.setRecipients(Message.RecipientType.TO,addresses);

//	发送
        Transport.send(message);
    }
	
}
