package com.boe.zxy.interfacePlat.mapper.sdk;

import com.boe.zxy.interfacePlat.entity.BeanQMS;
import com.boe.zxy.interfacePlat.entity.BeanQMToERP;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *QMS接口
 */
@Component
@Mapper
public interface QMSSend {

    //查询需要发送QMS的任务
    List<BeanQMS>  getPreToQMS ();

    int updateQMSflag();

    //查询需要转库的信息
    List<BeanQMToERP>  getQMSInfoToERP ();

    int updateQMSflagToERP();

}
